{% extends 'skeleton/base.html' %} {% load static%}

<script src="{% static 'js/jquery-3.4.1.js' %}"></script>
<script src="{% static 'js/bootstrap.js' %}"></script>
<link href="{% static  'css/bootstrap.css' %}" rel="stylesheet" />
<link rel="stylesheet" href="{% static 'css/help.css' %}" />

{% block head %}
<title>Lista de ordenes</title>
{% endblock %}
 {% block manual %}
<div class="manual-icon">
  <a href="#openModal"
    ><i class="fa fa-question-circle" aria-hidden="true"></i
  ></a>
</div>
<div id="openModal" class="modalDialog">
  <div class="container-manual">
    <a href="#close" title="Close" class="close">X</a>
    <h2>Manual de uso</h2>
    <p>
      Esta es la ventana "Listar Ordenes de Pedidos". Aquí podrá visualizar
      todas las ordenes anteriormente ingresadas. <br />
      Las ordenes se mostrarán según la fecha de ingreso de forma descendente, y
      al costado de cada orden se muestra un link que podrá utilizar para editar
      los campos de una orden de ser necesario.
    </p>
  </div>
</div>

{% endblock %}
<!-- ////////////////////////////////////////////////// -->
{% block content %} {% if request.user.is_authenticated %}
<br />

<h1 class="display-3">Lista de pedidos</h1>

<br />
{{ mensaje }}
<br />

<table id="myTable" class="table table-striped table-bordered">
  <thead class="thead-light">
    <tr>
      <th>Fecha envío</th>
      <th>Fecha de recepción (estimada)</th>
      <th>Contenido de la orden de pedido</th>
      <th>Precio total (estimado)</th>
      <th>Productos nuevos</th>
      <th>Estado</th>
      <th>Proveedor</th>
      <th>Administrador a cargo</th>
      <th>Editar</th>
    </tr>
  </thead>
  <tbody>
    {% for s in order %}
    <tr>
      <td>{{ s.shipping_date}}</td>
      <td>{{ s.reception_date}}</td>
      <td>{{ s.order_description}}</td>
      <td>{{ s.total_price}}</td>
      <td>{{ s.new_produtcs}}</td>
      <td>{{ s.status}}</td>
      <td>{{ s.provider}}</td>
      <td>{{ s.admin}}</td>
      <td>
        <a
          type="button"
          class="btn btn-primary"
          href="/edit_order/{{ s.id }}"
        >
          <i
            class="fa fa-pencil-square-o"
            aria-hidden="true"
            style="font-size: 20px;"
          ></i>
        </a>
      </td>
      {% endfor %}
    </tr>
  </tbody>
</table>
{% else %}

{% endif %} {% endblock content %}
<!-- ////////////////////////////////////////////////// -->
